Bug 828112 - evolution-ews: Contains embedded copy of 'lzx' functionality from libmspack library
evolution-ews: Contains embedded copy of 'lzx' functionality from libmspack l...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 05:24 EDT by Jan Lieskovsky
Modified: 2012-11-08 04:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 04:52:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changes (23.12 KB, text/plain)
2012-11-08 04:54 EST, Milan Crha
no flags Details

  None (edit)
Description Jan Lieskovsky 2012-06-04 05:24:37 EDT
Description of problem:
evolution-ews uses the following files, which are part of libmspack library:

evolution-ews-3.2.3] # grep -rHn "libmspack" * | more
src/addressbook/lzx/lzxd.c:1:/* This file is part of libmspack.
src/addressbook/lzx/lzxd.c:7: * libmspack is free software; you can redistribute it and/or modify it under
src/addressbook/lzx/lzxd.c:10: * For further details, see the file COPYING.LIB distributed with libmspack
src/addressbook/lzx/readhuff.h:1:/* This file is part of libmspack.
src/addressbook/lzx/readhuff.h:4: * libmspack is free software; you can redistribute it and/or modify it under
src/addressbook/lzx/readhuff.h:7: * For further details, see the file COPYING.LIB distributed with libmspack
src/addressbook/lzx/lzx.h:1:/* This file is part of libmspack.
src/addressbook/lzx/lzx.h:7: * libmspack is free software; you can redistribute it and/or modify it under
src/addressbook/lzx/lzx.h:10: * For further details, see the file COPYING.LIB distributed with libmspack
src/addressbook/lzx/readbits.h:1:/* This file is part of libmspack.
src/addressbook/lzx/readbits.h:4: * libmspack is free software; you can redistribute it and/or modify it under
src/addressbook/lzx/readbits.h:7: * For further details, see the file COPYING.LIB distributed with libmspack


Version-Release number of selected component (if applicable):
evolution-ews-3.2.3-1.fc16.x86_64

Additional info:
Since libmspack library is shipped already as a separate package in Fedora / EPEL, evolution-ews should be modified not to use its own embedded copy of needed libmspack library bits, but rather use the system ones (so in case there is a security flaw found in libmspack in the future, it's easier to schedule the updates).

Note:
Same situation is valid for version of evolution-ews as shipped with Fedora 17.
Comment 1 David Woodhouse 2012-06-06 16:28:37 EDT
ISTR chen had to modify the library in order to use it? If it's really a pristine copy of the library, we should definitely be using the one from libsmpack.
Comment 2 Milan Crha 2012-11-08 04:52:32 EST
The libmspack doesn't provide lzx functions directly, but only as part of the other formats, thus it's not doable right now. Feel free to reopen once they will provide them. This is with libmspack-0.3-0.3.alpha.fc18.src.rpm .
Comment 3 Milan Crha 2012-11-08 04:54:53 EST
Created attachment 640688 [details]
changes

These are changes being done between libmspack-0.3-0.3.alpha.fc18.src.rpm and copies of the files in evolution-ews-3.7.2 (git master). I do not know which version Chen used when taking the files from libmspack sources, thus I cannot tell what changed he and what was improved by libmspack developers meanwhile.

Note You need to log in before you can comment on or make changes to this bug.